HEAD(1)

NAME
head - display first lines of a file

SYNOPSIS
head [-qv] [-n count] [-c byte_count] [file ...]

DESCRIPTION
This filter displays the first count lines of each of the specified files, or of the standard input if no files are specified. If count is omitted it defaults to 10. If -c byte_count is specified, head counts bytes instead of lines.

If more than a single file is specified, or the -v option is used, each file is preceded by a header consisting of the string “==> XXX <==” where “XXX” is the name of the file. The -q flag disables the printing of the header in all cases.

EXIT STATUS

COMPATIBILITY
The historic command line syntax of head is supported by this implementation.

This command is mostly compatible with GNU extensions to head.

SEE ALSO
tail(1)

STANDARDS
The head utility conforms to p1003.2-92.

HISTORY
The head utility appeared in 3.0BSD. It was enhanced to include the -c, -q, and -v options for NetBSD 2.1.